1
0
Fork 0

Merging upstream version 1.3.

Signed-off-by: Daniel Baumann <daniel@debian.org>
This commit is contained in:
Daniel Baumann 2025-02-17 22:10:15 +01:00
parent 84e260bc44
commit 8451a79fb3
Signed by: daniel
GPG key ID: FBB4F0E80A80222F
5 changed files with 22 additions and 19 deletions

View file

@ -1,6 +1,6 @@
2013-05-18 Antonio Diaz Diaz <antonio@gnu.org>
2013-06-18 Antonio Diaz Diaz <antonio@gnu.org>
* Version 1.3-rc1 released.
* Version 1.3 released.
* Decompression time has been reduced by 1%.
* main.c (show_header): Show header version if verbosity >= 4.
* Ignore option '-n, --threads' for compatibility with plzip.

View file

@ -1,7 +1,7 @@
Requirements
------------
You will need a C compiler.
I use gcc 4.8.0 and 3.3.6, but the code should compile with any
I use gcc 4.8.1 and 3.3.6, but the code should compile with any
standards compliant compiler.
Gcc is available at http://gcc.gnu.org.

11
README
View file

@ -5,9 +5,9 @@ small size makes it well suited for embedded devices or software
installers that need to decompress files but do not need compression
capabilities.
Lunzip uses the same well-defined exit status values used by bzip2,
which makes it safer when used in pipes or scripts than compressors
returning ambiguous warning values, like gzip.
Lunzip uses the same well-defined exit status values used by lzip and
bzip2, which makes it safer when used in pipes or scripts than
decompressors returning ambiguous warning values, like gunzip.
The 4 factor integrity checking of the lzip format guarantees that the
decompressed version of the data is identical to the original. This
@ -18,7 +18,10 @@ occurs upon decompression, so it can only tell you that something is
wrong. It can't help you recover the original uncompressed data.
If you ever need to recover data from a damaged lzip file, try the
lziprecover program.
lziprecover program. Lziprecover makes lzip files resistant to bit-flip,
one of the most common forms of data corruption, and its recovery
capabilities contribute to make of the lzip format one of the best
options for long-term data archiving.
Lunzip replaces every file given in the command line with a decompressed
version of itself. Each decompressed file has the same modification

22
configure vendored
View file

@ -6,7 +6,7 @@
# to copy, distribute and modify it.
pkgname=lunzip
pkgversion=1.3-rc1
pkgversion=1.3
progname=lunzip
srctrigger=doc/lunzip.1
@ -26,9 +26,8 @@ CFLAGS='-Wall -W -O2'
LDFLAGS=
# checking whether we are using GNU C.
if [ ! -x /bin/gcc ] &&
[ ! -x /usr/bin/gcc ] &&
[ ! -x /usr/local/bin/gcc ] ; then
${CC} --version > /dev/null 2>&1
if [ $? != 0 ] ; then
CC=cc
CFLAGS='-W -O2'
fi
@ -96,16 +95,19 @@ while [ $# != 0 ] ; do
CFLAGS=*) CFLAGS=${optarg} ;;
LDFLAGS=*) LDFLAGS=${optarg} ;;
--* | *=* | *-*-*) ;;
--*)
echo "configure: WARNING: unrecognized option: '${option}'" 1>&2 ;;
*=* | *-*-*) ;;
*)
echo "configure: Unrecognized option: \"${option}\"; use --help for usage." 1>&2
echo "configure: unrecognized option: '${option}'" 1>&2
echo "Try 'configure --help' for more information." 1>&2
exit 1 ;;
esac
# Check if the option took a separate argument
if [ "${arg2}" = yes ] ; then
if [ $# != 0 ] ; then args="${args} \"$1\"" ; shift
else echo "configure: Missing argument to \"${option}\"" 1>&2
else echo "configure: Missing argument to '${option}'" 1>&2
exit 1
fi
fi
@ -123,10 +125,8 @@ if [ -z "${srcdir}" ] ; then
fi
if [ ! -r "${srcdir}/${srctrigger}" ] ; then
exec 1>&2
echo
echo "configure: Can't find sources in ${srcdir} ${srcdirtext}"
echo "configure: (At least ${srctrigger} is missing)."
echo "configure: Can't find sources in ${srcdir} ${srcdirtext}" 1>&2
echo "configure: (At least ${srctrigger} is missing)." 1>&2
exit 1
fi

View file

@ -1,5 +1,5 @@
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.37.1.
.TH LUNZIP "1" "May 2013" "Lunzip 1.3-rc1" "User Commands"
.TH LUNZIP "1" "June 2013" "Lunzip 1.3" "User Commands"
.SH NAME
Lunzip \- small decompressor for lzip files
.SH SYNOPSIS